Bug 1190442 - Review Request: golang-github-prometheus-client_golang - Prometheus instrumentation library for Go applications
Summary: Review Request: golang-github-prometheus-client_golang - Prometheus instrumen...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1190413 1190431 1190437 1190438
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-08 00:16 UTC by Jan Chaloupka
Modified: 2015-03-25 20:02 UTC (History)
1 user (show)

Fixed In Version: golang-github-prometheus-client_golang-0-0.3.gite5098ac.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-25 13:30:12 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-02-08 00:16:09 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-prometheus-client_golang/golang-github-prometheus-client_golang.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-prometheus-client_golang/golang-github-prometheus-client_golang-0-0.1.git52186fc.fc20.src.rpm

Description: Prometheus instrumentation library for Go applications

Fedora Account System Username: jchaloup

$ rpmlint golang-github-prometheus-client_golang-0-0.1.git52186fc.fc20.src.rpm golang-github-prometheus-client_golang-devel-0-0.1.git52186fc.fc20.noarch.rpm golang-github-prometheus-client_golang.spec
golang-github-prometheus-client_golang.src:78: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.src:78: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:78: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:78: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang.src:79: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.src:79: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:79: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:79: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang.src:80: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.src:80: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:80: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:80: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang.src:81: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.src:81: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:81: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:81: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang.src:82: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.src:82: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:82: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:82: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang.src:83: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.src:83: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:83: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:83: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang.src:84: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.src:84: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:84: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:84: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang.src:85: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.src:85: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:85: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.src:85: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang-devel.noarch: E: zero-length /usr/share/gocode/src/github.com/prometheus/client_golang/extraction/fixtures/empty.json
golang-github-prometheus-client_golang.spec:78: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.spec:78: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:78: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:78: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang.spec:79: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.spec:79: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:79: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:79: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang.spec:80: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.spec:80: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:80: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:80: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang.spec:81: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.spec:81: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:81: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:81: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang.spec:82: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.spec:82: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:82: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:82: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang.spec:83: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.spec:83: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:83: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:83: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang.spec:84: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.spec:84: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:84: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:84: W: macro-in-comment %{import_path}
golang-github-prometheus-client_golang.spec:85: W: macro-in-comment %{buildroot}
golang-github-prometheus-client_golang.spec:85: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:85: W: macro-in-comment %{gopath}
golang-github-prometheus-client_golang.spec:85: W: macro-in-comment %{import_path}
2 packages and 1 specfiles checked; 1 errors, 64 warnings.

Upstream: https://github.com/prometheus/client_golang

Notes: empty.json is used in tests. Depends on github.com/matttproud/golang_protobuf_extensions, github.com/bmizerany/perks, github.com/prometheus/client_model and github.com/prometheus/procfs, cyclic deps on github.com/prometheus/prometheus. Ignore warnings, there are commented go test macros. Warnings and buildtime deps will be fixed via two-phase process.

Comment 1 Lokesh Mandvekar 2015-02-12 17:36:05 UTC
- specfile looks good
- license correct and valid
- only sources installed

package approved

Comment 2 Jan Chaloupka 2015-02-12 23:42:08 UTC
New Package SCM Request
=======================
Package Name: golang-github-prometheus-client_golang
Short Description: Prometheus instrumentation library for Go applications
Upstream URL: https://github.com/prometheus/client_golang
Owners: jchaloup lsm5
Branches: f22 f21 f20 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2015-02-13 13:41:22 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-02-16 15:34:08 UTC
golang-github-prometheus-client_golang-0-0.1.git52186fc.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-prometheus-client_golang-0-0.1.git52186fc.fc20

Comment 5 Fedora Update System 2015-02-16 15:34:38 UTC
golang-github-prometheus-client_golang-0-0.1.git52186fc.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-prometheus-client_golang-0-0.1.git52186fc.fc21

Comment 6 Fedora Update System 2015-02-16 15:34:53 UTC
golang-github-prometheus-client_golang-0-0.1.git52186fc.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-prometheus-client_golang-0-0.1.git52186fc.el6

Comment 7 Fedora Update System 2015-02-17 08:02:59 UTC
golang-github-prometheus-client_golang-0-0.1.git52186fc.fc20 has been pushed to the Fedora 20 testing repository.

Comment 8 Fedora Update System 2015-02-25 13:30:12 UTC
golang-github-prometheus-client_golang-0-0.1.git52186fc.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Fedora Update System 2015-02-25 13:30:39 UTC
golang-github-prometheus-client_golang-0-0.1.git52186fc.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2015-02-27 10:13:07 UTC
golang-github-prometheus-client_golang-0-0.2.git39e4bc8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-prometheus-client_golang-0-0.2.git39e4bc8.fc20

Comment 11 Fedora Update System 2015-02-27 10:13:25 UTC
golang-github-prometheus-client_golang-0-0.2.git39e4bc8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-prometheus-client_golang-0-0.2.git39e4bc8.fc21

Comment 12 Fedora Update System 2015-02-27 10:13:49 UTC
golang-github-prometheus-client_golang-0-0.2.git39e4bc8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-prometheus-client_golang-0-0.2.git39e4bc8.el6

Comment 13 Fedora Update System 2015-03-05 12:23:06 UTC
golang-github-prometheus-client_golang-0-0.3.gite5098ac.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-prometheus-client_golang-0-0.3.gite5098ac.fc20

Comment 14 Fedora Update System 2015-03-05 12:23:23 UTC
golang-github-prometheus-client_golang-0-0.3.gite5098ac.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-prometheus-client_golang-0-0.3.gite5098ac.fc21

Comment 15 Fedora Update System 2015-03-05 12:23:42 UTC
golang-github-prometheus-client_golang-0-0.3.gite5098ac.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-prometheus-client_golang-0-0.3.gite5098ac.fc22

Comment 16 Fedora Update System 2015-03-05 12:24:01 UTC
golang-github-prometheus-client_golang-0-0.3.gite5098ac.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-prometheus-client_golang-0-0.3.gite5098ac.el6

Comment 17 Fedora Update System 2015-03-13 17:17:07 UTC
golang-github-prometheus-client_golang-0-0.3.gite5098ac.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-03-14 09:20:37 UTC
golang-github-prometheus-client_golang-0-0.3.gite5098ac.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-03-14 09:23:00 UTC
golang-github-prometheus-client_golang-0-0.3.gite5098ac.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-03-25 20:02:09 UTC
golang-github-prometheus-client_golang-0-0.3.gite5098ac.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.